Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.hierarchy.util
Class HierarchyEvent

    java.lang.Object
      j3deditor.bin.hierarchy.util.HierarchyEvent

    public class HierarchyEvent

extends java.lang.Object

Event generated by a component that has manipulated the scene hierarchy.

Author:
  Risto Seene
See Also:
  `HierarchyEventListener`

Field Summary
`static int` | `BRANCHGROUP_DETACH` the `BranchGroup` object has been detached from a virtual universe.
`static int` | `CAMERA_TRANSFORMATION` the camera has been transformed.
`static int` | `OBJECT_ADDITION` new hierarchy node has been added.
`static int` | `OBJECT_ALTERATION` the object has been altered.
`static int` | `OBJECT_REMOVAL` a hierarchy node has been removed from scene.
`static int` | `OBJECT_SELECTION` a hierarchy node has been selected.
`static int` | `OBJECT_TRANSFORMATION` an object has been transformed.

Constructor Summary
`HierarchyEvent(java.lang.Object source, int type)` Creates an instance of `EditorEvent` with the given source and type.

Method Summary
`int` | `getEventType()` Returns the type of this event.
`java.lang.Object` | `getSource()` Returns the sender of this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_ADDITION

    public static final int OBJECT_ADDITION

  new hierarchy node has been added.

  See Also:
    Constant Field Values

### OBJECT_SELECTION

    public static final int OBJECT_SELECTION

  a hierarchy node has been selected.

  See Also:
    Constant Field Values

### OBJECT_REMOVAL

    public static final int OBJECT_REMOVAL

  a hierarchy node has been removed from scene.

  See Also:
    Constant Field Values

### OBJECT_TRANSFORMATION

    public static final int OBJECT_TRANSFORMATION

  an object has been transformed.

  See Also:
    Constant Field Values

### CAMERA_TRANSFORMATION

    public static final int CAMERA_TRANSFORMATION

  the camera has been transformed.

  See Also:
    Constant Field Values

### BRANCHGROUP_DETACH

    public static final int BRANCHGROUP_DETACH

  the `BranchGroup` object has been detached from a virtual universe.

  See Also:
    Constant Field Values

### OBJECT_ALTERATION

    public static final int OBJECT_ALTERATION

  the object has been altered.

  See Also:
    Constant Field Values

Constructor Detail

### HierarchyEvent

    public HierarchyEvent(java.lang.Object source,
                          int type)

  Creates an instance of `EditorEvent` with the given source and type.

  Parameters:
    `source` - source of this event
    `type` - the type of this event

Method Detail

### getSource

    public java.lang.Object getSource()

  Returns the sender of this event.

  Returns:
    Returns the sender of this event

### getEventType

    public int getEventType()

  Returns the type of this event.

  Returns:
    Returns the type of this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD